import { WriteStream } from 'fs-extra';
/**
 * generate random X-Forward-For to avoid  to be forbidden by tinypng.com
 * @returns random headers
 */
export declare const randomHeader: () => {
    'Cache-Control': string;
    'Content-Type': string;
    authority: string;
    'User-Agent': string;
    'X-Forwarded-For': string;
};
/**
 * random request tinyjpg.com or tinypng.com
 * @returns random http request option
 */
export declare const randomRequestOption: () => {
    headers: {
        'Cache-Control': string;
        'Content-Type': string;
        authority: string;
        'User-Agent': string;
        'X-Forwarded-For': string;
    };
    hostname: string;
    method: string;
    path: string;
    rejectUnauthorized: boolean;
};
export declare const canHandledImage: (fileName: string) => boolean;
/**
 *
 * @param sourcePath complete path
 * @returns
 */
export declare const findAllImageFile: (sourcePath: any) => Promise<{
    path: string;
    originSize: number;
}[]>;
/**
 * get full path from relative path
 * @param path relative path
 * @returns full path
 */
export declare const getFullPath: (path: string) => string;
export declare const markImageBeCompressed: (writeStream: WriteStream) => void;
export declare const judgeImageIsCompressed: (filePath: any) => Promise<unknown>;
